Wind River Support Network

HomeDefectsLIN5-21525
Fixed

LIN5-21525 : Security Advisory - linux - CVE-2016-0774

Created: May 17, 2016    Updated: May 29, 2018
Resolved Date: Oct 20, 2016
Found In Version: 5.0.1.35
Fix Version: 5.0.1.38
Severity: Standard
Applicable for: Wind River Linux 5
Component/s: Kernel

Description

The (1) pipe_read and (2) pipe_write implementations in fs/pipe.c in a certain Linux kernel backport in the linux package before 3.2.73-2+deb7u3 on Debian wheezy and the kernel package before 3.10.0-229.26.2 on Red Hat Enterprise Linux (RHEL) 7.1 do not properly consider the side effects of failed __copy_to_user_inatomic and __copy_from_user_inatomic calls, which allows local users to cause a denial of service (system crash) or possibly gain privileges via a crafted application, aka an I/O vector array overrun. NOTE: this vulnerability exists because of an incorrect fix for CVE-2015-1805.

http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2016-0774

Other Downloads


Live chat
Online